org.gnome.gtk

## Interface Notebook.ChangeCurrentPage

- Enclosing class:
    Notebook

      public static interface Notebook.ChangeCurrentPage

  The handler interface for notification of changes in the current page.

  Note that this handler is only used when the page is changed with the keyboard using Ctrl+Page Up/Down. If you want to get informed every time the page is changed, you should use the `Notebook.SwitchPage` signal instead.

  Since:
    4.0.3

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `onChangeCurrentPage(Notebook source, int offset)`

- - ### Method Detail

    - #### onChangeCurrentPage

          boolean onChangeCurrentPage(Notebook source,
                                    int offset)

      Parameters:
        `offset` - The number of pages to move forward/backward (negative value for backward)